

#include "SqlSchema_CREATE.hpp"

using namespace std;

SqlSchema_CREATE::SqlSchema_CREATE(void)
{
   appendRow();
}

// skip first '(' and last ',' character; FIXME this is no good
string skfl(string str)
{
   return str.substr(1, str.size() - 2);
}


vector<string> SqlSchema_CREATE::getCREATE(void)
{
   vector<string> vCREATE{
         {"DROP TABLE IF EXISTS obscore CASCADE; CREATE TABLE obscore " + skl(m_values[obscore])},
   };
   return vCREATE;
}

